using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DBFactory;

namespace ControlSystem
{
    public partial class FrmErrorMessage : WeifenLuo.WinFormsUI.Docking.DockContent
    {
        #region Modified by DingXiaoxu for Dock TaskList on 20101219

        #region Functions
        public FrmErrorMessage()
        {
            InitializeComponent();
            _formInstance = this;
        }

        public void NewMessage(string newMsg)
        {
            this.textBox1.Text = newMsg;
        }
        public void NewForeColor(Color newForeColor)
        {
            //this.textBox1.ForeColor = newForeColor;
        }
        #endregion

        #region Properties and Members
        private DBOperator dbo = CStaticClass.dbo;

        private static FrmErrorMessage _formInstance;
        public static FrmErrorMessage FormInstance
        {
            get
            {
                if (_formInstance == null)
                {
                    _formInstance = new FrmErrorMessage();

                }
                return _formInstance;
            }
            set { _formInstance = value; }
        }
        #endregion

        private void FrmErrorMessage_Load(object sender, EventArgs e)
        {

        }


        #endregion
    }
}